% Comparaison entre TLC,PGD et PGDP pour la somme de variables alatoires
% iid de loi de exponentielle. On constate que le TLC dcroche vite tandis
% que le PGDP est trs comptitif ds que la probabilit < 1/100. 
 
clear; clf; 
n = input('Taille n de l''chantillon (par exemple 100) = ');
lambda = input('Paramtre lambda de la loi exponentielle = ');
m = 1/lambda; sigma = 1/lambda; pas = 0.01; x = [m+pas:pas:3*m/2];
Ix = lambda*x-1-log(lambda*x); tx = lambda-1./x; sigmax = x;
pb = 1-pgamma(n*x*lambda,n); 
tlc = pnorm(-sqrt(n)*(x-m)/sigma,0,1);
pgd = exp(-n*Ix); 
barao = exp(-n*Ix)./(sigmax.*tx*sqrt(2*pi*n));
semilogy(x,pb,'k',x,tlc,'r-.',x,pgd,'m--',x,barao,'b--');
xlabel('Variations du paramtre x');
ylabel('Approximations de P(Sn>=nx)');
legend('Probabilit','TLC','PGD','PGDP',3);