function Y=ber(X,n,f)
% Approximation de Bernstein sur l'intervalle [0,1].
% Renvoie l'approximation de Bernstein Y=Pn(f)(X) de f(X).
m = length(X); D = repmat([0:n],m,1); 
B = bincoef(D,n);   % Calcul des coefficients binomiaux
F = repmat(feval(f,[0,[1:n]/n]),m,1); % Calcul et rplication de f
X = reshape(X,1,m); XX = repmat(X',1,n+1); % Redim. et rplication de X
P = (XX.^D).*((1-XX).^(n-D)); % Calcul des coefficients en X
Y = sum((B.*F.*P)');  % Calcul de la valeur du polynme
