function [VT,loinv,P] = ehrenfestcutoff(d,x,n)
%[VT,loinv,P]=EHRENFESTCUTOFF(d,x,n) 
% Renvoie l'volution de l'cart en variation totale  la loi invariante
% d'une chane d'Ehrenfest apriodique sur {0,...,d}, d'tat initial x.
% Le temps maximum est n.
loinv = bincoef([0:d],d*ones(1,d+1))/2^d;
loini = zeros(1,d+1); loini(x) = 1;
VT = zeros(1,n); VT(1) = sum(abs(loini-loinv))/2;
P = diag(ones(1,d+1))/(d+1);
for i=1:d,  P(i,i+1) = (d+1-i)/(d+1); P(i+1,i) = i/(d+1); end
loi = loini;
for i=1:n, loi = loi * P; VT(i) = sum(abs(loi-loinv))/2; end

