% Simulation de r ralisations i.i.d. d'une file d'attente M/M/s.
% Les temps sparant les arrives des clients sont i.i.d. de loi 
% exponentielle d'intensit la, et les dures de service de chacun 
% des s serveurs sont i.i.d. de loi exponentielle de d'intensit mu. 
% N(i) est le nombre de clients dans la file i au temps t.
clear; clf;
s = Inf;    % nombre de serveurs
la = 1.5;   % intensit d'arrive des clients
mu = 0.25;  % intensit du traitement d'un serveur
t = 50;     % on cherche la longueur de la file  cet instant
r = 1000;   % nombre de ralisations i.i.d.
for i = 1:r, % r files i.i.d sont  simuler
    n = 0;   % la file est vide au dpart
    T = -log(rand)/la; % on attend le premier client
    while (T <= t) % le temps maximal est-il dpass ?
        % il s'est pass quelque chose
        if (n==0) % la file tait vide
          n = 1; % un client de plus 
        else  % la file n'tait pas vide
          % un client de plus avec proba la/(la+mu*min(n,s))
          % un client de moins avec proba mu*min(n,s)/(la+mu*min(n,s))
          n = n + 2*(rand < la/(la+mu*min(n,s))) - 1; 
        end
        % on attend le prochain changement
        T = T-log(rand)/(la+mu*min(n,s));         
    end % boucle sur le temps
    N(i)=n;
end
histo(N,30,1,1); [mean(N),std(N)]
