function  lbx = logb(X,b)
%LOGB: renvoie le logarithme de base b de X.
% lbx = logb(X,b)
% Si b est omis, sa valeur implicite est e.
% X peut tre un vecteur ou une matrice.
% b peut tre un scalaire ou une matrice de mme dim que X.

if (nargin == 1)
  lbx = log(X);
elseif (~isreal(b) | any(b <= 1)) 
  error('b doit tre rel >1\n')
elseif (max(size(b)) == 1)
  lbx = log(X)/log(b);
elseif (any(size(b) ~= size(X)))
  error('dim b doit tre 1x1 ou comme X.\n')
else
  lbx = log(X)./log(b);
end
  

