%% Lois Fractales dans un schma de Bernoulli  n issues non uniformes
clear; clf; hold on; nr=1000; prec=100; base1=2; p1=1/4;
coefs=repmat(cumprod(ones(prec,1)/base1),1,nr);
realis=sum(rbinom([prec,nr],base1-1,p1).*coefs);
[effectifs,classes]=hist(realis,prec*10);
title('Fonctions de rpartition de U');
plot(classes,classes);plot(classes,cumsum(effectifs)/nr,'r');
%
base2=7;p2=5/9;
coefs=repmat(cumprod(ones(prec,1)/base2),1,nr);
realis=sum(rbinom([prec,nr],base2-1,p2).*coefs);
[effectifs,classes]=hist(realis,prec*10);
plot(classes,cumsum(effectifs)/nr,'k');
%
base3=2;p3=1/2;
coefs=repmat(cumprod(ones(prec,1)/base3),1,nr);
realis=sum(rbinom([prec,nr],base3-1,p3).*coefs);
[effectifs,classes]=hist(realis,prec*10);
plot(classes,cumsum(effectifs)/nr,'m');
legend('Loi uniforme','Bernoulli de paramtre 1/4',...
'Binomiale de paramtre 6 et 5/9','Rademacher de paramtre 1/2',4);
