% Illustration du thorme de Marchenko-Pastur
clear; clf; hold on; n = 350; d = 200; r = 50; S = [];
la = d/n; sla = sqrt(la); a = (1-sla)^2; b = (1+sla)^2;
for i=1:r, A = randn(d,n); S = [S ; eig(A*A')/n]; end
[E,C] = histo(S,fix(sqrt(r*d)),0,1);
D = [a:.01:b]; plot(D,sqrt((b-D).*(D-a))./(2*pi*la*D),'r-');
legend('Histogramme','Loi de Marchenko-Pastur');


