% Mthode du rejet pour la loi du demi-cercle du thorme de Wigner
clear; n = 10000;
% Gnration d'un chantillon de taille n pour la loi du demi-cercle
for i=1:n, 
 % (U,V) suit la loi uniforme sur le carr [-2,+2]x[0,1/pi] 
 U = 4*rand-2; V = rand/pi;
 % Rejet tant que (U,V) n'est pas sous la courbe de la densit
 % Le nombre de tours de boucle suit une loi gomtrique
 while (V > sqrt(4-U^2)/(2*pi)), U = 4*rand-2; V = rand/pi; end 
 % collection de la nouvelle ralisation
 X(i) = U; 
end
% Trac de l'histogramme
[N,C] = histo(X,100,0,1); hold on
% Superposition de la densit de la loi semi-circulaire
plot(C,sqrt(4-C.^2)/(2*pi),'r-')
legend('Histogramme','Loi semi-circulaire')