%% Simulation d'un mlange de deux gaussiennes
clear; clf
% Les moyennes, les carts-type, et les proportions
m1 = -4; m2 = +4; s1 = 1; s2 = 2; p = 1/8; % p2 = p et p1 = 1-p
% Simulation d'un chantillon du mlange
r = 1000;
Y = (rand(1,r)<p);
X = (s1+(s2-s1)*Y) .* randn(1,r) + (m1+(m2-m1)*Y); %  dcortiquer !
% Trac de l'histogramme
[N,C] = histo(X,50,0,1);
% Superposition du trac de la densit du mlange
U = min(C):0.1:max(C);
V1 = exp(-(U-m1).^2/(2*s1^2))/(s1*sqrt(2*pi));
V2 = exp(-(U-m2).^2/(2*s2^2))/(s2*sqrt(2*pi));
hold on; plot(U,(1-p)*V1+p*V2,'r-')
legend('Histogramme','Densit du mlange')