% Simulation d'une loi gaussienne par l'algorithme polaire-rejet
clear; clf
n = round(100*pi/4); % taille de l'chantillon sur le carr [-1,+1]
m = 4; sigma2 = 2;   % moyenne et variance
% Simulation de la loi uniforme sur le carr [-1,+1]
X = 2*rand(n,1)-1; Y = 2*rand(n,1)-1; 
% Rejet en dehors du disque unit
S = X.^2+Y.^2; I = find(S<1); X = X(find(S<1)); Y = Y(find(S<1));
% Calcul de l'chantillon gaussien
r = sqrt(X.^2+Y.^2); R = 2*sqrt(-log(r))./r; X = m + sqrt(sigma2)*R.*X;
% Tracs d'un histogramme et de la densit thorique
[N,C]=histo(X,50,0,1); hold on
title('Simulation d''une loi gaussienne par mthode polaire-rejet')
plot(C,dnorm(C,m,sigma2),'r-'); legend('Empirique','Thorique')