function k = bincoef(n,N)
%BINCOEF  Binomial coefficients
%
%         k = bincoef(n,N)
% 	Input	n,N 	scalar or matrix with common size, 
%			such that 0<=n<=N
%
%	Output	k	matrix of binomial coefficients
%			Gamma(N+1)./(Gamma(n+1).*Gamma(N-n+1))

%       Anders Holtsberg, 13-05-94
%       Copyright (c) Anders Holtsberg

%	Revision 01-10-98 Mathematique Universite de Paris-Sud

if all(all(round(n)==n)) & all(all(round(N)==N))
   k = round(exp(gammaln(N+1) - gammaln(n+1) - gammaln(N-n+1)));
else
   k = exp(gammaln(N+1) - gammaln(n+1) - gammaln(N-n+1));
end 
