function x = datas6
%*********************** Cement Data *********************** 
%
%Source:      Daniel, C. and Wood, F. S. (1980),"Fitting Equations to Data:
%             Computer Analysis of Multifactor Data", Second Edition, New
%             York: John Wiley and Sons
%
%Taken From:  Chatterjee and Hadi (1988), p. 259.
%
%Dimension:   14 observations on 6 variables
%
%Description: The data set is one of a sequence of several data sets taken
%             at different times in an experimental study relating the heat
%             evolved during hardening of 14 samples of cement to the
%	      composition of the cement. The explanatory variables are 
%	      weights (measured as percentages of the weight of each sample) 
%	      of five Clinker compounds. The dependant variable (heat) is 
%	      the last column in the data set.

x = [
   6      7     26     60      2.5   85.5
  15      1     29     52      2.3   76
   8     11     56     20      5    110.4
   8     11     31     47      2.4   90.6
   6      7     52     33      2.4  103.5
   9     11     55     22      2.4  109.8
  17      3     71      6      2.1  108
  22      1     31     44      2.2   71.6
  18      2     54     22      2.3   97
   4     21     47     26      2.5  122.7
  23      1     40     34      2.2   83.1
   9     11     66     12      2.6  115.4
   8     10     68     12      2.4  116.3
  18      1     17     61      2.1   62.6
];
