function  p = dbinom(k,n,p)
%DBINOM  The binomial probability function
%
%   P = dbinom(k,n,p)
%	Input	k 	nonnegative integer
%		n 	nonnegative integer such that k<=n
%		p  	probability number
%		(k,n,p can be real or matrix, the size of  matrix 
%		must be the same)
%					
%	Output 	P  prob(X=k) where X is a binomial variable B(n,p)
%
%       Anders Holtsberg, 16-03-95
%       Copyright (c) Anders Holtsberg

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

if any(any( k<0 | k>n | p<0 | p>1 ));
   error('Strange input arguments');
end

%p = bincoef(k,n) .* p.^k .* (1-p).^(n-k);
p = exp(gammaln(n+1) - gammaln(k+1) -gammaln(n-k+1) + k.*log(p) + (n-k).*log(1-p));