function f = dchisq(x,a)
%DCHISQ   The chisquare density function
%
%   f = dchisq(x,d)
%	Input	x 	real
%		d	degree of freedom
%		(x,d can be matrix with common size)
%
%	Output	f	chisquare density function with d degree of 
%			freedom	at the values of x 

%        Anders Holtsberg, 18-11-93
%        Copyright (c) Anders Holtsberg

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

if any(any(a<=0))
   error('Degrees Of Freedom is wrong')
end

f = dgamma(x/2,a*0.5)/2;
