function f = dgamma(x,a)
%DGAMMA   The gamma density function
%
%   f = dgamma(x,a)
%	Input	x	real
%		a	positive real
%		(x,a can be vector or matrix with common size)
%
%	Output	f	gamma density function with parameter a 
%			at the values of x : 
%			f(x)=x.^(a-1)exp(-x)./Gamma(a)1_{x>=0}

%       Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

if any(any(a<=0))
   error('Parameter a is wrong')
end

f = x .^ (a-1) .* exp(-x) ./ gamma(a);
I0 = find(x<0);
f(I0) = zeros(size(I0));
