function  f = dnorm(x,m,s)
%DNORM 	  The normal density function 
%
%   y = dnorm(x,m,s)
%	Input	x	real vector or matrix
%		m	mean (default value is 0)
%		s 	standard deviation (default value is 1)
%
%	Output  y  	normal density function with mean m and standard 
%			deviation s, at the values of x :
%			y=exp(-0.5*((x-m)./s)^2)./(sqrt(2*pi).*s)

%       Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

if nargin<3, s=1; end
if nargin<2, m=0; end
f = exp(-0.5*((x-m)./s).^2)./(sqrt(2*pi).*s);
