function  P = pbinom(k,n,p)
%PBINOM  The binomial cumulative probability function
%
%        P = pbinom(k,n,p)
%	Input	k 	vector or matrix of nonnegative integers such 
%			that k<=n
%           	n 	nonnegative integer
%	        p	probability
%
%O	utput	P	prob(X<=k) where X is a binomial variable B(n,p)

%       Anders Holtsberg, 27-07-95
%       Copyright (c) Anders Holtsberg

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

if max([length(n) length(p)]) > 1
   error('Sorry, this is not implemented');
end

kk = (0:n)';
cdf = max(0,min(1,[0; cumsum(dbinom(kk,n,p))]));
cdf(n+2) = 1;
P = k;
P(:) = cdf(max(1,min(n+2,floor(k(:))+2)));
