function F = pgamma(x,a)
%PGAMMA   The gamma cumulative distribution function
%
%   F = pgamma(x,a)
%	Input	x	real
%		a	positive real, parameter of the gamma distribution
%			(x and a can be matrix with common size)
%
%	Output	F	F =Prob(X<=x) where X is a random variable with a gamma
%			distribution of parameter a
%			(the gamma density function with parameter a is :
%	   		x --> x.^(a-1)exp(-x)./Gamma(a)1_{x>=0} )

%       Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

if any(any(a<=0))
   error('Parameter a is wrong')
end

F = gammainc(x,a);
I0 = find(x<0);
F(I0) = zeros(size(I0));
