function p = pks(x)
%PKS        Kolmogorov Smirnov distribution function
%          
%       p = pks(x)
%       Input     x  vector or matrix
%       Output    p  Prob( KS < x )

%   Adapted from Press, Teukolsky, Vetterling and Flannery, 
%   Numerical Recipes in C p620.

%       Version 1.0 RHS 8/11/93

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

x2=-2.0*x.^2;
factor=-2;
tag=(x>0.14);
p=tag;
absterm=0;
n=0;         
       
while any(tag)>0 & n<100      
     n=n+1;
     term=factor.*exp(x2.*n^2).*tag;
     p=p+term;
     absterm1=abs(term);
     tag=tag.*(absterm1>0.001.*absterm).*(absterm1>1e-8.*abs(p));
     factor=-factor;
     absterm=absterm1;
end

p=p.*(1-tag);             % si non convergence
