function qqnorm(x,ps);
%QQNORM   Normal probability paper
%
%         qqnorm(x)
%         qqnorm(x, symbol)
%
%         Data on x-axis and  qnorm((i-1/2)/n)  on y-axis.
%	  The second optional argument is the plot symbol, e g '+'.
%
%         See also QQPLOT

if nargin<2, ps = '*'; end
x = sort(x);
n = length(x);
X = ((1:n)-1/2)/n;
Y = sqrt(2)*erfinv(2*X-1);
plot(x,Y,ps)
xlabel('Data')
ylabel('Quantile')
