function x = rbeta(n,a,b)
%RBETA    Random numbers from the beta distribution (inversion method)
%
%   x = rbeta(n,a,b)
%	Input	n	positive integer or a vector [lig,col] of 2 
%			positive integers
%		a,b	positive reals 
%	Output	x 	n-vector or a n-matrix of random numbers 
%			chosen from a beta distribution with parameters 
%			a and b (density :
%			x--> x.^(a-1).* (1-x).^(b-1)./beta(a,b)1_{0<x<1})

%       Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg

%	Revision 01-10-98 Mathematique Universite de Paris-Sud

if any(any((a<=0)|(b<=0)))
   error('Parameter a or b is nonpositive')
end

if size(n)==1
   n = [n 1];
end

x = qbeta(rand(n),a,b);
