function x = rchisq(n,a)
%RCHISQ   Random numbers from the chisquare distribution
%
%   x = rchisq(n,d)
%	Input	n	positive integer or a vector [lig,col] of integers
%		d	degree of freedom
%
%	Output	x	n-vector or a n-matrix of random numbers 
%			chosen from chisquare distribution with d degrees 
%			of freedom

%        Anders Holtsberg, 18-11-93
%        Copyright (c) Anders Holtsberg

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

if any(any(a<=0))
   error('Degrees Of Freedom is wrong')
end

x = 2*rgamma(n,a*0.5);
