function x = rgamma(n,a)
%RGAMMA   Random numbers from the gamma distribution (inversion method)
%
%   x = rgamma(n,a)
%	Input	n	positive integer or a vector [lig,col] of integers
%		a	positive real 
%
%	Output	x	n-vector or a n-matrix of random numbers 
%			chosen from Gamma distribution with parameter a
% 
%	(the gamma density function with parameter a is :
%	   x --> x.^(a-1)exp(-x)./Gamma(a)1_{x>=0} )

%        Anders Holtsberg, 18-11-93
%        Copyright (c) Anders Holtsberg

%	Revision 01-10-98 Mathematique Universite de Paris-Sud

if any(any(a<=0))
   error('Parameter a is wrong')
end

if size(n)==1
   n = [n 1];
end

x = qgamma(rand(n),a);
