function x=rgeom(n,p)
%RGEOM   Random numbers from the geometric distribution
%
%         x=rgeom(n,p)
%       Input    n  positive integer or vector [lig,col] of integers
%                p  probability
%
%       Output   x  n-vector of random numbers
%                   chosen from geometric distribution : 
%			P(X=k)=p(1-p)^k 
%                            

%	Revision 31-10-98 Mathematique Universite de Paris-Sud
%
if nargin~=2
   error('Wrong number of input parameters')
   return
end

if length(n)==1
   n=[n 1];
end

if length(n)~=2 | length(p)> 1
   error('Wrong input parameter type')
   return
end

if p<= 0 | p >=1
   error('Wrong input parameter value')
   return
end   

x=floor(log(rand(n))/log(1-p));
