function  X = rhypg(num,n,K,N)
%RHYPG  Random numbers from the hypergeometric distribution 
%	  (inversion method)
%
%        X = rhypg(num,n,K,N)
%	Input	num	positive integer or a 2-vector [lig, col] of 
%			positive integers
%		n,K,N   nonnegative integers such that n<= N,
%			K<= N 	
%		N 	is the total number of elements of the population
%		n	is the number of elements which are randomly
%			extracted
%		K	is the number of elements of the population which 
%			have the studied property
%	Output 	X	num-vector or a num-matrix of random numbers 
%			chosen from the hypergeometric distribution with 
%			parameters n,K,N

%       Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg

%	Revision 01-10-98 Mathematique Universite de Paris-Sud

if length(num)==1
   num = [num 1];
end
X = qhypg(rand(num),n,K,N);


