function  X = rnorm(n,m,s)
%RNORM 	  Normal random numbers
%
%	X = rnorm(Number,Mean,StandardDeviation)
%	Input 	n	positive integer or a 2-vector [lig, col] of 
%			positive integers
%		m	mean
%		s	standard deviation
%	Output 	X	n-vector or n-matrix of normal random numbers 
%			with mean m and standard deviation s.
%
%       Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg

%	Revision 01-10-98 Mathematique Universite de Paris-Sud

if nargin<3, s=1; end
if nargin<2, m=0; end
if nargin<1, n=1; end
if size(n)==1
   n = [n 1];
   if size(m,2)>1, m = m'; end
   if size(s,2)>1, s = s'; end
end
X = randn(n).*s + m;
