function X = rt(n,df)
%RT       Random numbers from the student t distribution (inversion method)
%
%    X = rt(n,d)
%	Input	n	positive integer or a 2-vector [lig, col] of 
%			positive integers
%		d	positive integer (degree of freedom)
%	Output	X	n-vector or a n-matrix of random numbers 
%			chosen from the student distribution with d 
%			degrees of freedom

%       Anders Holtsberg, 18-11-93
%       Copyright (c) Anders Holtsberg

%	Revision 31-10-98 Mathematique Universite de Paris-Sud

if any(any(df<=0 | round(df)~=df))
   error('Degrees of Freedom is wrong')
end

if size(n)==1
   n = [n 1];
end

X = qt(rand(n),df);
