%
%STIXTEST Demonstrate more stixbox routines.

%       J. Coursol, 1998
%       Copyright (c) Mathematique Universite de Paris-Sud

%	Revision 01-10-98 Mathematique Universite de Paris-Sud
n=10000;
y=1:10000;
z=y/2000;
y=y/10000;
echo off
modele='exp';
for lambda=1:2
  x=sort(rexpweib(n,lambda));  
  F=1-exp(-lambda*z);
modele 
lambda
  stairs(x,y)
  hold on
  plot(z,F,'r')
  hold off
  disp('paused: enter any key to continue')
  pause
end

modele='normal 0 1';
x=sort(randn(n,1));
F=pnorm(z);
modele
stairs(x,y)
hold on
plot(z,F,'r')
hold off
disp('paused: enter any key to continue')
pause

modele='chisq 5';
pp=5;
qq=pp/2;
x=sort(2*rjgamma(n,qq));
F=pchisq(2*z,pp);
modele
stairs(x,y)
hold on
plot(2*z,F,'r')
hold off
disp('paused: enter any key to continue')
pause

modele='fisher 4 8';
x=sort(rf(n,4,8));
F=pf(z,4,8);
modele
stairs(x,y)
hold on
plot(z,F,'r')
hold off
disp('paused: enter any key to continue')
pause

modele='student 5';
%x=sort(rt(n,5));
F=pt(z,5);
modele
%stairs(x,y)
%hold on
plot(z,F,'r')
hold off
disp('paused: enter any key to continue')
pause

modele='hypergeom 10 20 50';
x=sort(rhypg(n,10,20,50));
F=phypg(z,10,20,50);
modele
stairs(x,y)
hold on
plot(z,F,'r')
hold off
disp('paused: enter any key to continue')
pause

modele='binomiale';
x=sort(rjbinom(n,20,.3));
F=pbinom(2*z,20,.3);
modele
stairs(x,y)
hold on
plot(2*z,F,'r')
hold off
disp('paused: enter any key to continue')
pause

modele='poisson';
for lambda=[.5 1 2 3]
  x=sort(rpoiss(n,lambda));
  m=max(x);
  zz=[0 z];
  F=cumsum(exp(-lambda+zz.*log(lambda)-gammaln(zz+1)).*(round(zz)==zz));
modele
lambda
  stairs(x,y)
  hold on
  plot(zz,F,'r')
  hold off
  disp('paused: enter any key to continue')
  pause
end
