function v=var(x)
% VAR    Variance (normalized by n-1 where n is the sample length)
%
%        Input    x    vector or matrix
%
%        Outpout  v    - variance of x, if x is a vector
%                      - row vector containing the variance of 
%                        each column of x, if x is a matrix                      

%	 Revision 03-2-99 Mathematique Universite de Paris-Sud

if isempty(x)
   v=NaN;
   return
end
[nl,nc]=size(x);
nmin=min([nl,nc]);
nmax=max([nl,nc]);

if nmax==1
   v=0;
   return
end
if nmin==1
   x=x(:);
end
s=sum(x);
s2=sum(x.*x);
v=(s2-s.*s/nmax)/(nmax-1);
