% Comparaison entre TLC et PGD pour la somme de variables alatoires
% iid de loi de Bernoulli B(p). On constate que le TLC dcroche par 
% rapport au PGD pour une probabilit autour de 1/1000.
clear; clf; 
n = input('Taille n de l''chantillon (par exemple 100) = ');
p = input('Paramtre p de la loi de Bernoulli (par exemple 0.8) = ');
q = 1-p; pas = 0.01; x = [0:pas:1-p-pas]; y = p+x;
pb = 1-pbinom(n*y,n,p); tlc = pnorm(-x*sqrt(n/(p*q)),0,1);
pgd = exp(-n*(y.*log(y/p)+(1-y).*log((1-y)/q)));
semilogy(x,pb,'k',x,tlc,'r-.',x,pgd,'b--');
xlabel('Variations du paramtre x');
ylabel('Approximations de P(Sn>=n(p+x))');
legend('Probabilit','TLC','PGD',3);