function wrightfishertinv(d,p,x,n)
%[P,N,loi] = WRIGHTFISHERINV(d,p,x,n)
% Estime la loi invariante d'une chane de Wright-Fisher
% pour une population de taille d et probabilit de mutation p.
% P = noyau de transition de la chane. N = estimation par frquences 
% de passages (LGN) le long d'une seule trajectoire partant de x et de 
% longueur infrieure  n. loi = loi au temps n partant de x (rcursif).
clf; hold on; 
xlabel('Etats x'); ylabel('Estimation de la probabilit en x');
% Utilisation de la LGN sur une trajectoire de longueur n
N = zeros(n,d+1); N(:,1+x) = 1; m = fix(n/10);
for i = 1:n-1, 
 N(i+1,:) = N(i,:); x = sum(rand(1,d) < p+(1-2*p)*x/d);  
 N(i+1,1+x) = N(i+1,1+x) + 1;
end
plot([0:d],N(n,:)/n,'r+'); plot([0:d],N(m,:)/m,'go');
% Calcul rcursif de la loi  l'instant n
P = zeros(d+1,d+1); loini = zeros(1,d+1); loini(x) = 1;
for x = 0:d, P(x+1,:) = dbinom([0:d],d,p+(1-2*p)*x/d); end
loi = loini; for i = 1:n-1, loi = loi * P; end
% Tracs
plot([0:d],loi,'b');
l1 = sprintf('LGN sur une seule traj. de longueur %i',n);
l2 = sprintf('LGN sur une seule traj. de longueur %i',m);
l3 = sprintf('Calcul recursif de la loi au temps %i',n);
legend(l1,l2,l3,3);
